> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出投遞記錄

> 查看某個 webhook 的近期投遞嘗試記錄，包括成功和失敗的情況。

## 路徑參數

<ParamField path="id" type="string" required>
  該 webhook 的 UUID。
</ParamField>

## 響應

返回最近的 50 次投遞嘗試記錄，按時間從新到舊排列。

<ResponseField name="deliveries" type="array">
  <Expandable title="Delivery object">
    <ResponseField name="id" type="string">投遞記錄的 UUID</ResponseField>
    <ResponseField name="event_type" type="string">本次投遞的事件類型</ResponseField>
    <ResponseField name="http_status" type="number | null">來自你的服務器的 HTTP 狀態碼（連接失敗時為 null）</ResponseField>
    <ResponseField name="error_message" type="string | null">失敗時的錯誤描述</ResponseField>
    <ResponseField name="status" type="string">`success` 或 `failed`</ResponseField>
    <ResponseField name="attempt" type="number">當前是第幾次嘗試（1 表示首次嘗試，最多為最大重試次數 + 1）</ResponseField>
    <ResponseField name="failed_at" type="string | null">ISO 8601 時間戳</ResponseField>
  </Expandable>
</ResponseField>

## 示例

<CodeGroup>
  ```bash curl theme={null}
  curl https://www.hitheo.ai/api/v1/webhooks/WEBHOOK_ID/deliveries \
    -H "Authorization: Bearer $THEO_API_KEY"
  ```

  ```typescript SDK theme={null}
  const deliveries = await theo.webhookDeliveries("WEBHOOK_ID");
  ```
</CodeGroup>

### 響應

```json theme={null}
{
  "deliveries": [
    {
      "id": "d1e2f3a4-...",
      "event_type": "completion.created",
      "http_status": 200,
      "error_message": null,
      "status": "success",
      "attempt": 1,
      "failed_at": "2026-04-15T12:01:00.000Z"
    },
    {
      "id": "b5c6d7e8-...",
      "event_type": "job.failed",
      "http_status": 503,
      "error_message": "HTTP 503",
      "status": "failed",
      "attempt": 4,
      "failed_at": "2026-04-15T11:58:00.000Z"
    }
  ]
}
```

<Tip>
  失敗的投遞可以通過[重試端點](/api-reference/webhooks/retry)進行重試。
</Tip>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.